Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.couriers
Class FaultMessageException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.jboss.soa.esb.BaseException
                  org.jboss.soa.esb.couriers.CourierException
                      org.jboss.soa.esb.couriers.FaultMessageException

All Implemented Interfaces:
  java.io.Serializable

    public class FaultMessageException

extends CourierException

The service encountered an error and returned a Fault message. This is received and then thrown as an exception.

Since:
  Version 4.2
See Also:
  Serialized Form

Constructor Summary
`FaultMessageException(java.lang.String message, java.net.URI code, Message msg)` Construct an exception instance.
`FaultMessageException(java.lang.String message, java.net.URI code, Message msg, java.lang.Throwable cause)`

Method Summary
`java.net.URI` | `getCode()`
`Message` | `getReturnedMessage()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FaultMessageException

    public FaultMessageException(java.lang.String message,
                                 java.net.URI code,
                                 Message msg)

  Construct an exception instance.

  Parameters:
    `message` - Exception message.

### FaultMessageException

    public FaultMessageException(java.lang.String message,
                                 java.net.URI code,
                                 Message msg,
                                 java.lang.Throwable cause)

Method Detail

### getCode

    public final java.net.URI getCode()

### getReturnedMessage

    public final Message getReturnedMessage()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD